<?php

namespace Netzmacher\Caddy\Controller;

use Netzmacher\Caddy\Domain\Repository\ItemRepository;
use Netzmacher\Caddy\Domain\Repository\OrderRepository;
use TYPO3\CMS\Extbase\Mvc\Controller\ActionController;

/* * *
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2019-2020 - Dirk Wildt (Die Netzmacher) <http://wildt@die-netzmacher.de>, Die Netzmacher
 *
 * * */

/**
 * OrderController
 * 
 * @version 9.1.0
 * @since 9.1.0
 * @internal #t3910
 */
class OrderController extends ActionController
{

	/**
	 * orderRepository
	 * 
	 * @var \Netzmacher\Caddy\Domain\Repository\OrderRepository
	 * @inject
	 */
	protected $orderRepository = null;

	/**
	 * Inject the order repository
	 *
	 * @param \Netzmacher\Caddy\Domain\Repository\OrderRepository $orderRepository
	 */
	public function injectOrderRepository( OrderRepository $orderRepository )
	{
		$this->orderRepository = $orderRepository;
	}

	public function listAction()
	{
		$feuserUid = $GLOBALS[ 'TSFE' ]->fe_user->user[ 'uid' ];
		//var_dump(__METHOD__, __LINE__, $feuserUid);
		if(empty($feuserUid))
		{
			return;
		}
		$orders = $this->orderRepository->findByFeCruserId( $feuserUid );
		//$orders = $this->orderRepository->findByFeCruserId(  );
		$this->view->assign( 'orders', $orders );
	}

}
