<?php

namespace Netzmacher\Caddy\Domain\Model;

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/* * *
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2019-2020 - Dirk Wildt (Die Netzmacher) <http://wildt@die-netzmacher.de>, Die Netzmacher
 *
 * * */

/**
 * Order
 * 
 * @version 9.1.0
 * @since 9.1.0
 * @internal #t3910
 */
class Item extends AbstractEntity
{

	/**
	 * quantity
	 * 
	 * @var integer
	 */
	protected $quantity = '';

	/**
	 * Returns the quantity
	 * 
	 */
	public function getQuantity()
	{
		return $this->quantity;
	}

	/**
	 * Sets the quantity
	 * 
	 * @param integer $quantity
	 * @return void
	 */
	public function setQuantity( $quantity )
	{
		$this->quantity = $quantity;
	}

	/**
	 * gross
	 * 
	 * @var double
	 */
	protected $gross = '';

	/**
	 * Returns the gross
	 * 
	 */
	public function getGross()
	{
		return $this->gross;
	}

	/**
	 * Sets the gross
	 * 
	 * @param double $gross
	 * @return void
	 */
	public function setGross( $gross )
	{
		$this->gross = $gross;
	}

	/**
	 * sku
	 * 
	 * @var string
	 */
	protected $sku = '';

	/**
	 * Returns the sku
	 * 
	 */
	public function getSku()
	{
		return $this->sku;
	}

	/**
	 * Sets the sku
	 * 
	 * @param string $sku
	 * @return void
	 */
	public function setSku( $sku )
	{
		$this->sku = $sku;
	}

	/**
	 * title
	 * 
	 * @var string
	 * @validate NotEmpty
	 */
	protected $title = '';

	/**
	 * Returns the title
	 * 
	 * @return string $title
	 */
	public function getTitle()
	{
		return $this->title;
	}

	/**
	 * Sets the title
	 * 
	 * @param string $title
	 * @return void
	 */
	public function setTitle( $title )
	{
		$this->title = $title;
	}

}
