<?php

namespace Netzmacher\Caddy\Userfunc;

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2020 -  Dirk Wildt <http://wildt.at.die-netzmacher.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 *
 * @author  Dirk Wildt <http://wildt.at.die-netzmacher.de>
 * @package TYPO3
 * @subpackage caddy
 * @version     9.1.4
 * @since       9.1.4
 */
class ClearOrder
{

	/**
	 * UpdateFeUser( ): If a customer ins't logged in, but enabels "cerate a new account",
	 * 									the new account is inserted with max fe_users.uid + 1.
	 * 									If it failes, to create the new customer (a new fe_users record),
	 * 									tx_caddy_order must cleaned up: fe_cruser_id must reset to 0.
	 *
	 * @return	void
	 * @access public
	 * @version    9.1.4
	 * @since      9.1.4
	 */
	static public function UpdateFeUser()
	{
		$feuserMaxUid = \Netzmacher\Caddy\Userfunc\SQL::SelectFeuserMaxUid();
		$feuserUidOfLastOrder = \Netzmacher\Caddy\Userfunc\SQL::SelectCaddyorderFeuser();
		
		//var_dump(__METHOD__, __LINE__, $feuserUidOfLastOrder, $feuserMaxUid, $feuserUidOfLastOrder <= $feuserMaxUid);

		if( $feuserUidOfLastOrder <= $feuserMaxUid )
		{
			return;
		}

		\Netzmacher\Caddy\Userfunc\SQL::UpdateCaddyorderFeuser( $feuserUidOfLastOrder, 0 );
	}

}
