<?php

namespace Netzmacher\Caddy\Userfunc;

if( !defined( 'TYPO3_MODE' ) )
{
  die( 'Access denied.' );
}

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2020 -  Dirk Wildt <http://wildt.at.die-netzmacher.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 *
 * @author  Dirk Wildt <http://wildt.at.die-netzmacher.de>
 * @package TYPO3
 * @subpackage caddy
 * @version     9.1.4
 * @since       9.1.4
 */
class GetPid
{

	/**
	 * Caddy( )  : Returns the globlas tsfe id, if the given pid is null
	 *
	 * @param	array		$conf  : current configuration
	 * @param	integer		$pid  : given pid (may be null)
	 * @return	integer		$pid  : id of the page with the caddy plugin
	 * @access      public
	 * @version     9.1.4
	 * @since       9.1.4
	 */
	static function Caddy( $conf, $pid = null )
	{
		// #54634, 140103, dwildt, 9+
		if( ( int ) $conf[ 'userFunc.' ][ 'caddyPid' ] )
		{
			$pid = ( int ) $conf[ 'userFunc.' ][ 'caddyPid' ];
		}

		// #i0045, 140103, dwildt, 1-
		//if( $pid === null )
		// #i0045, 140103, dwildt, 1+
		if( $pid === null || $pid === '' )
		{
			$pid = $GLOBALS[ 'TSFE' ]->id;
		}

		return $pid;
	}

}
