<?php

namespace Netzmacher\Caddy\Userfunc;

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2020 -  Dirk Wildt <http://wildt.at.die-netzmacher.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 *
 * @author  Dirk Wildt <http://wildt.at.die-netzmacher.de>
 * @package TYPO3
 * @subpackage caddy
 * @version     9.1.4
 * @since       9.1.4
 */
class SQL
{

	/**
	 * SelectFeuserMaxUid( ): Get the max uid form the table fe_users
	 *
	 * @return	integer
	 * @access public
	 * @version    9.1.4
	 * @since      9.1.4
	 */
	static public function SelectFeuserMaxUid()
	{
		$query = 'SELECT MAX(`uid`) AS "uid" FROM `fe_users`';
//		var_dump( __METHOD__, __LINE__, $query );
//		die();
		$res = $GLOBALS[ 'TYPO3_DB' ]->sql_query( $query );
		$row = $GLOBALS[ 'TYPO3_DB' ]->sql_fetch_assoc( $res );
		return $row[ 'uid' ];
	}

	/**
	 * SelectCaddyorderFeuser( ): Get the fe_user uid form the last order
	 *
	 * @return	integer
	 * @access public
	 * @version    9.1.4
	 * @since      9.1.4
	 */
	static public function SelectCaddyorderFeuser()
	{
		$query = 'SELECT * FROM `tx_caddy_order` ORDER BY `uid` DESC LIMIT 0,1';
//		var_dump( __METHOD__, __LINE__, $query );
//		die();
		$res = $GLOBALS[ 'TYPO3_DB' ]->sql_query( $query );
		$row = $GLOBALS[ 'TYPO3_DB' ]->sql_fetch_assoc( $res );
		return $row[ 'fe_cruser_id' ];
	}

	/**
	 * UpdateCaddyorderFeuser( ): Replace the fe_cruser_id ($srcUid) with the a new one ($destUid).
	 *
	 * @param integer $srceUid 
	 * @param integer $destUid 
	 * @return	void
	 * @access public
	 * @version    9.1.4
	 * @since      9.1.4
	 */
	static public function UpdateCaddyorderFeuser( $srceUid, $destUid = 0 )
	{
		//SELECT * FROM `tx_caddy_order` WHERE `fe_cruser_id` = 25603;
		//UPDATE `tx_caddy_order` SET `fe_cruser_id` = 0 WHERE `fe_cruser_id` = 25603;

		$query = 'UPDATE `tx_caddy_order` SET `fe_cruser_id` = ' . $destUid . ' WHERE `fe_cruser_id` = ' . $srceUid . ';';
//		var_dump( __METHOD__, __LINE__, $query );
//		die();
		$GLOBALS[ 'TYPO3_DB' ]->sql_query( $query );
	}

}
