<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$_EXTKEY = 'caddy';
$confArr = unserialize( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'caddy' ] );

$tx_caddy_order = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order',
				'label' => 'numberOrder',
				'label_alt' => 'numberDeliveryorder,numberInvoice,customerEmail',
				'label_alt_force' => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'delete' => 'deleted',
				'default_sortby' => 'ORDER BY numberOrder DESC, tstamp DESC',
				'readOnly' => $confArr[ 'databaseReadonly' ],
				'hideAtCopy' => true,
				'dividers2tabs' => true,
				'iconfile' => 'EXT:caddy/ext_icon.svg',
				'searchFields' => ''
				. 'crdate,'
				. 'customerEmail,'
				//#i0160, 170919, dwildt, +
				. 'customerDebitBic,customerDebitIban,customerDebitOwner,'
				. 'customerDeliveryorderAddress,customerDeliveryorderCity,customerDeliveryorderCompany,customerDeliveryorderCountry,customerDeliveryorderFirstname,customerDeliveryorderLastname,customerDeliveryorderZip,'
				. 'customerInvoiceAddress,customerInvoiceCity,customerInvoiceCompany,customerInvoiceCountry,customerInvoiceFirstname,customerInvoiceLastname,customerInvoiceZip,'			
				. 'customerUid,'			
				. 'fileDeliveryorder,fileInvoice,fileOrderconfirmation,fileRevocation,fileTerms,'
				. 'numberDeliveryorder,numberInvoice,numberOrder,'
				. 'pdfDeliveryorderToCustomer,pdfDeliveryorderToVendor,'
				. 'pdfInvoiceToCustomer,pdfInvoiceToVendor,'
				. 'pdfOrderconfirmationToCustomer,pdfOrderconfirmationToVendor,'
				. 'pdfRevocationToCustomer,pdfRevocationToVendor,'
				. 'pdfTermsToCustomer,pdfTermsToVendor,'
				. 'quantity,'
				. 'statisticValue01,'
				. 'sumGross,sumNet,sumWeight,sumTaxReduced,sumTaxNormal,'
				. 'tstamp,'
				. 'tx_caddy_item'
		),
		'interface' => array(
				'showRecordFieldList' => ''
				. 'crdate,'
				. 'customerEmail,'
				//#i0160, 170919, dwildt, +
				. 'customerDebitBic,customerDebitIban,customerDebitOwner,'
				. 'customerDeliveryorderAddress,customerDeliveryorderCity,customerDeliveryorderCompany,customerDeliveryorderCountry,customerDeliveryorderFirstname,customerDeliveryorderLastname,customerDeliveryorderZip,'
				. 'customerInvoiceAddress,customerInvoiceCity,customerInvoiceCompany,customerInvoiceCountry,customerInvoiceFirstname,customerInvoiceLastname,customerInvoiceZip,'			
				. 'customerUid,'			
				. 'fileDeliveryorder,fileInvoice,fileOrderconfirmation,fileRevocation,fileTerms,'
				. 'numberDeliveryorder,numberInvoice,numberOrder,'
				. 'pdfDeliveryorderToCustomer,pdfDeliveryorderToVendor,'
				. 'pdfInvoiceToCustomer,pdfInvoiceToVendor,'
				. 'pdfOrderconfirmationToCustomer,pdfOrderconfirmationToVendor,'
				. 'pdfRevocationToCustomer,pdfRevocationToVendor,'
				. 'pdfTermsToCustomer,pdfTermsToVendor,'
				. 'quantity,'
				. 'statisticValue01,'
				. 'sumGross,sumNet,sumWeight,sumTaxReduced,sumTaxNormal,'
				. 'tstamp,'
				. 'tx_caddy_item'
		,
		),
		'columns' => array(
				'crdate' => array(
						'exclude' => 0,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.crdate',
						'config' => array(
								'type' => 'input',
								'renderType' => 'inputDateTime',
								'size' => '12',
								'eval' => 'datetime',
								'default' => mktime( date( 'H' ), date( 'i' ), 0, date( 'm' ), date( 'd' ), date( 'Y' ) ),
						),
				),
				'customerDebitBic' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDebitBic',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => '',
						)
				),
				'customerDebitIban' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDebitIban',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => '',
						)
				),
				'customerDebitOwner' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDebitOwner',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => '',
						)
				),
				'customerDeliveryorderAddress' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDeliveryorderAddress',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => '',
						)
				),
				'customerDeliveryorderCity' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDeliveryorderCity',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => '',
						)
				),
				'customerDeliveryorderCompany' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDeliveryorderCompany',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => '',
						)
				),
				'customerDeliveryorderCountry' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDeliveryorderCountry',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => '',
						)
				),
				'customerDeliveryorderFirstname' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDeliveryorderFirstname',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => '',
						)
				),
				'customerDeliveryorderLastname' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDeliveryorderLastname',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => '',
						)
				),
				'customerDeliveryorderZip' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDeliveryorderZip',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => '',
						)
				),				
				'customerEmail' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerEmail',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => '',
						)
				),
				'customerInvoiceAddress' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerInvoiceAddress',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => '',
						)
				),
				'customerInvoiceCity' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerInvoiceCity',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => '',
						)
				),
				'customerInvoiceCompany' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerInvoiceCompany',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => '',
						)
				),
				'customerInvoiceCountry' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerInvoiceCountry',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => '',
						)
				),
				'customerInvoiceFirstname' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerInvoiceFirstname',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => '',
						)
				),
				'customerInvoiceLastname' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerInvoiceLastname',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => '',
						)
				),
				'customerInvoiceZip' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerInvoiceZip',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => '',
						)
				),
				'customerUid' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerUid',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => '',
						)
				),
				'fe_cruser_id' => \Netzmacher\Caddy\TCA\Columns::FeCrUserId(),
				'fe_group' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'fe_group' ],
				'fileDeliveryorder' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.fileDeliveryorder',
						'config' => array(
								'type' => 'group',
								'internal_type' => 'file',
								'allowed' => 'pdf',
								'max_size' => $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'BE' ][ 'maxFileSize' ],
								'uploadfolder' => 'uploads/tx_caddy',
								'size' => 1,
								'minitems' => 0,
								'maxitems' => 1,
						)
				),
				'fileInvoice' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.fileInvoice',
						'config' => array(
								'type' => 'group',
								'internal_type' => 'file',
								'allowed' => 'pdf',
								'max_size' => $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'BE' ][ 'maxFileSize' ],
								'uploadfolder' => 'uploads/tx_caddy',
								'size' => 1,
								'minitems' => 0,
								'maxitems' => 1,
						)
				),
				'fileOrderconfirmation' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.fileOrderconfirmation',
						'config' => array(
								'type' => 'group',
								'internal_type' => 'file',
								'allowed' => 'pdf',
								'max_size' => $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'BE' ][ 'maxFileSize' ],
								'uploadfolder' => 'uploads/tx_caddy',
								'size' => 1,
								'minitems' => 0,
								'maxitems' => 1,
						)
				),
				'fileRevocation' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.fileRevocation',
						'config' => array(
								'type' => 'group',
								'internal_type' => 'file',
								'allowed' => 'pdf',
								'max_size' => $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'BE' ][ 'maxFileSize' ],
								'uploadfolder' => 'uploads/tx_caddy',
								'size' => 1,
								'minitems' => 0,
								'maxitems' => 1,
						)
				),
				'fileTerms' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.fileTerms',
						'config' => array(
								'type' => 'group',
								'internal_type' => 'file',
								'allowed' => 'pdf',
								'max_size' => $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'BE' ][ 'maxFileSize' ],
								'uploadfolder' => 'uploads/tx_caddy',
								'size' => 1,
								'minitems' => 0,
								'maxitems' => 1,
						)
				),
				'numberDeliveryorder' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.numberDeliveryorder',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'int',
						)
				),
				'numberInvoice' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.numberInvoice',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'int',
						)
				),
				'numberOrder' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.numberOrder',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'int',
						)
				),
				'pdfDeliveryorderToCustomer' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfDeliveryorderToCustomer',
						'config' => array(
								'type' => 'check',
								'default' => 1,
						)
				),
				'pdfDeliveryorderToVendor' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfDeliveryorderToVendor',
						'config' => array(
								'type' => 'check',
								'default' => 1,
						)
				),
				'pdfInvoiceToCustomer' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfInvoiceToCustomer',
						'config' => array(
								'type' => 'check',
								'default' => 1,
						)
				),
				'pdfInvoiceToVendor' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfInvoiceToVendor',
						'config' => array(
								'type' => 'check',
								'default' => 1,
						)
				),
				'pdfOrderconfirmationToCustomer' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfOrderconfirmationToCustomer',
						'config' => array(
								'type' => 'check',
								'default' => 1,
						)
				),
				'pdfOrderconfirmationToVendor' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfOrderconfirmationToVendor',
						'config' => array(
								'type' => 'check',
								'default' => 1,
						)
				),
				'pdfRevocationToCustomer' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfRevocationToCustomer',
						'config' => array(
								'type' => 'check',
								'default' => 1,
						)
				),
				'pdfRevocationToVendor' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfRevocationToVendor',
						'config' => array(
								'type' => 'check',
								'default' => 1,
						)
				),
				'pdfTermsToCustomer' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfTermsToCustomer',
						'config' => array(
								'type' => 'check',
								'default' => 1,
						)
				),
				'pdfTermsToVendor' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfTermsToVendor',
						'config' => array(
								'type' => 'check',
								'default' => 1,
						)
				),
				'quantity' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.quantity',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'int',
						)
				),
				'statisticValue01' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.statisticValue01',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						)
				),
				'sumGross' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.sumGross',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'double2,nospace',
						)
				),
				'sumNet' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.sumNet',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'double2,nospace',
						)
				),
				'sumWeight' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.sumWeight',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'double2,nospace',
						)
				),
				'sumTaxNormal' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.sumTaxNormal',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'double2,nospace',
						)
				),
				'sumTaxReduced' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.sumTaxReduced',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'double2,nospace',
						)
				),
				'tstamp' => array(
						'exclude' => 0,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.tstamp',
						'config' => array(
								'type' => 'input',
								'renderType' => 'inputDateTime',
								'size' => '12',
								'eval' => 'datetime',
								'default' => mktime( date( 'H' ), date( 'i' ), 0, date( 'm' ), date( 'd' ), date( 'Y' ) ),
						),
				),
				'tx_caddy_item' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 0,
						'label' => 'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.tx_caddy_item',
						'config' => array(
								'type' => 'inline',
								'foreign_table' => 'tx_caddy_item',
								'foreign_table_where' => ''
								//. 'AND tx_caddy_item.pid=###CURRENT_PID### ORDER BY tx_caddy_item.uid'
								//. 'AND tx_caddy_item.deleted=1 '
								,
								//'MM' => 'tx_caddy_order_mm_tx_caddy_item',
								//'foreign_table' => 'tx_powermail_domain_model_pages',
//        'foreign_table_where' => ''
//        . 'AND tx_powermail_domain_model_pages.deleted = 1 '
//        . 'AND tx_powermail_domain_model_pages.hidden = 0 '
//        . 'and tx_powermail_domain_model_pages.sys_language_uid = 0'
//        ,
								'foreign_field' => 'tx_caddy_order',
								'foreign_sortby' => 'sorting',
								'maxitems' => 1000,
								'appearance' => array(
										'collapseAll' => 1,
										'expandSingle' => 1,
										'useSortable' => 1,
										'newRecordLinkAddTitle' => 1,
										'levelLinksPosition' => 'top',
										'showSynchronizationLink' => 0,
										'showAllLocalizationLink' => 1,
										'showPossibleLocalizationRecords' => 1,
										'showRemovedLocalizationRecords' => 1,
								),
								'behaviour' => array(
										'localizeChildrenAtParentLocalization' => 1,
								),
						),
				),
		),
		'palettes' => array(
				'account' => array(
						'showitem' => ''
						. 'customerDebitOwner;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDebitOwner,'
						. '--linebreak--,'
						. 'customerDebitIban;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDebitIban,'
						. 'customerDebitBic;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDebitBic,'
						. '',
						'canNotCollapse' => 1,
				),
				'deliveryorder' => array(
						'showitem' => ''
						. 'customerDeliveryorderCompany;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDeliveryorderCompany,'
						. '--linebreak--,'
						. 'customerDeliveryorderFirstname;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDeliveryorderFirstname,'
						. 'customerDeliveryorderLastname;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDeliveryorderLastname,'
						. '--linebreak--,'
						. 'customerDeliveryorderAddress;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDeliveryorderAddress,'
						. '--linebreak--,'
						. 'customerDeliveryorderZip;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDeliveryorderZip,'
						. 'customerDeliveryorderCity;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDeliveryorderCity,'
						. '--linebreak--,'
						. 'customerDeliveryorderCountry;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerDeliveryorderCountry,'
						. '',
						'canNotCollapse' => 1,
				),
				'emailDate' => array(
						'showitem' => ''
						. 'customerEmail;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerEmail,'
//						. 'tstamp;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.tstamp,'
						. 'crdate;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.crdate,'
						. '',
						'canNotCollapse' => 1,
				),
				'feuser' => array(
						'showitem' => ''
						. 'fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
				'files' => array(
						'showitem' => ''
						. 'fileDeliveryorder;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.fileDeliveryorder,'
						. 'fileInvoice;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.fileInvoice,'
						. 'fileOrderconfirmation;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.fileOrderconfirmation,'
						. '--linebreak--,'
						. 'fileRevocation;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.fileRevocation,'
						. 'fileTerms;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.fileTerms,'
						. '',
						'canNotCollapse' => 1,
				),
				'invoice' => array(
						'showitem' => ''
						. 'customerInvoiceCompany;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerInvoiceCompany,'
						. 'customerUid,'
						. '--linebreak--,'
						. 'customerInvoiceFirstname;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerInvoiceFirstname,'
						. 'customerInvoiceLastname;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerInvoiceLastname,'
						. '--linebreak--,'
						. 'customerInvoiceAddress;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerInvoiceAddress,'
						. '--linebreak--,'
						. 'customerInvoiceZip;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerInvoiceZip,'
						. 'customerInvoiceCity;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerInvoiceCity,'
						. '--linebreak--,'
						. 'customerInvoiceCountry;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.customerInvoiceCountry,'
						. '',
						'canNotCollapse' => 1,
				),
				'isSentToCustomer' => array(
						'showitem' => ''
						. 'pdfDeliveryorderToCustomer;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfDeliveryorderToCustomer,'
						. 'pdfInvoiceToCustomer;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfInvoiceToCustomer,'
						. 'pdfOrderconfirmationToCustomer;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfOrderconfirmationToCustomer,'
						. 'pdfRevocationToCustomer;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfRevocationToCustomer,'
						. 'pdfTermsToCustomer;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfTermsToCustomer,'
						. '',
						'canNotCollapse' => 1,
				),
				'isSentToVendor' => array(
						'showitem' => ''
						. 'pdfDeliveryorderToVendor;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfDeliveryorderToVendor,'
						. 'pdfInvoiceToVendor;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfInvoiceToVendor,'
						. 'pdfOrderconfirmationToVendor;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfOrderconfirmationToVendor,'
						. 'pdfRevocationToVendor;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfRevocationToVendor,'
						. 'pdfTermsToVendor;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.pdfTermsToVendor,'
						. '',
						'canNotCollapse' => 1,
				),
				'numbers' => array(
						'showitem' => ''
						. 'numberOrder;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.numberOrder,'
						. 'numberDeliveryorder;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.numberDeliveryorder,'
						. 'numberInvoice;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.numberInvoice,'
						. '',
						'canNotCollapse' => 1,
				),
				'statistic' => array(
						'showitem' => ''
						. 'statisticValue01;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.statisticValue01,'
						. '',
						'canNotCollapse' => 1,
				),
				'sum' => array(
						'showitem' => ''
						. 'quantity;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.quantity,'
						. '--linebreak--,'
						. 'sumWeight,'
						. '--linebreak--,'
						. 'sumNet;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.sumNet,'
						. '--linebreak--,'
						. 'sumTaxReduced;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.sumTaxReduced,'
						. '--linebreak--,'
						. 'sumTaxNormal;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.sumTaxNormal,'
						. '--linebreak--,'
						. 'sumGross;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.sumGross,'
						. '',
						'canNotCollapse' => 1,
				),
				'tx_caddy_item' => array(
						'showitem' => ''
						. 'tx_caddy_item;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.tx_caddy_item,'
						. '',
						'canNotCollapse' => 1,
				),
		),
		'types' => array(
				'0' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.div.email,'
						. '  --palette--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.palette.emailDate;emailDate,'
						. '  --palette--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.palette.isSentToCustomer;isSentToCustomer,'
						. '  --palette--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.palette.isSentToVendor;isSentToVendor,'
						. '  --palette--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.palette.files;files,'
						. '--div--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.div.numbers,'
						. '  --palette--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.palette.numbers;numbers,'
						. '--div--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.div.account,'
						. '  --palette--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.palette.account;account,'
						. '--div--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.div.invoice,'
						. '  --palette--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.palette.invoice;invoice,'
						. '--div--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.div.deliveryorder,'
						. '  --palette--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.palette.deliveryorder;deliveryorder,'
						. '--div--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.div.tx_caddy_item,'
						. '  --palette--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.palette.tx_caddy_item;tx_caddy_item,'
						. '--div--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.div.statistic,'
						. '  --palette--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.palette.statistic;statistic,'
						. '--div--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.div.sum,'
						. '  --palette--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.palette.sum;sum,'
						. '--div--;LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tx_caddy_order.div_feuser,'
						. '  --palette--;LLL:EXT:caddy/Resources/Private/Language/locallang_db.xml:tx_caddy_order.palette.feuser;feuser,'
						. ''
				,
				),
		),
);
