plugin.caddy {

  # cat=caddy - options - payment/enable/100; type=options[0,1,2,3,4,5,6];  label= Default payment option:0: no preset. 1: cash in advance (de: Vorkasse). 2: invoice (de: Rechnung). 3: cash on delivery (de: Nachnahme). 4: cash on pick up (de: Bar bei Abholung). 5: debit note (de: Lastschrift). 6: cash in advance by paypal (de: Vorkasse mit Paypal). 
  options.payment.default = 5
  # cat=caddy - options - payment/enable/201; type=boolean; label= 1. Cash in advance - enabled:Disable it, if you don't want to offer the payment option cash in advance (de: Vorkasse).
  options.payment.1.enabled = 1
  # cat=caddy - options - payment/enable/202; type=string; label= 1. Cash in advance - discount (%):Cash discount for the payment option cash in advance in per cent. Example: 3.00.
  options.payment.1.cashdiscount = 0.00
  # cat=caddy - options - payment/enable/203; type=string; label= 1. Cash in advance - costs:Extra costs for the payment option cash in advance. Example: 9.99.
  options.payment.1.costs = 0.00
  # cat=caddy - options - payment/enable/204; type=options[normal,reduced,without]; label= 1. Cash in advance - tax rate:Tax rate for extra costs for the payment option cash in advance.
  options.payment.1.taxrate = normal
  # cat=caddy - options - payment/enable/221; type=boolean; label= 2. Invoice - enabled:Disable it, if you don't want to offer the payment option invoice (de: Rechnung).
  options.payment.2.enabled = 1
  # cat=caddy - options - payment/enable/222; type=string; label= 2. Invoice - discount (%):Cash discount for the payment option invoice in per cent. Example: 3.00.
  options.payment.2.cashdiscount = 0.00
  # cat=caddy - options - payment/enable/223; type=string; label= 2. Invoice - costs:Extra costs for the payment option invoice. Example: 9.99.
  options.payment.2.costs = 0.00
  # cat=caddy - options - payment/enable/224; type=options[normal,reduced,without]; label= 2. Invoice - tax rate:Tax rate for extra costs for the payment option invoice.
  options.payment.2.taxrate = normal
  # cat=caddy - options - payment/enable/231; type=boolean; label= 3. Cash on delivery - enabled:Disable it, if you don't want to offer the payment option cash on delivery (de: Nachnahme).
  options.payment.3.enabled = 1
  # cat=caddy - options - payment/enable/232; type=string; label= 3. Cash on delivery - discount (%):Cash discount for the payment option cash on delivery in per cent. Example: 3.00.
  options.payment.3.cashdiscount = 0.00
  # cat=caddy - options - payment/enable/233; type=string; label= 3. Cash on delivery - costs:Extra costs for the payment option cash on delivery. Example: 9.99.
  options.payment.3.costs = 0.00
  # cat=caddy - options - payment/enable/234; type=options[normal,reduced,without]; label= 3. Cash on delivery - tax rate:Tax rate for extra costs for the payment option cash on delivery.
  options.payment.3.taxrate = normal
  # cat=caddy - options - payment/enable/241; type=boolean; label= 4. Cash on pick up - enabled:Disable it, if you don't want to offer the the payment option cash on pick up (de: Bar bei Abholung).
  options.payment.4.enabled = 1
  # cat=caddy - options - payment/enable/242; type=string; label= 4. Cash on pick up - discount (%):Cash discount for the payment option cash on pick up in per cent. Example: 3.00.
  options.payment.4.cashdiscount = 0.00
  # cat=caddy - options - payment/enable/243; type=string; label= 4. Cash on pick up - costs:Extra costs for the payment option cash on pick up. Example: 9.99.
  options.payment.4.costs = 0.00
  # cat=caddy - options - payment/enable/244; type=options[normal,reduced,without]; label= 4. Cash on pick up - tax rate:Tax rate for extra costs for the payment option cash on pick up.
  options.payment.4.taxrate = normal
  # cat=caddy - options - payment/enable/251; type=boolean; label= 5. Debit note - enabled:Disable it, if you don't want to offer the the payment option debit note (de: Lastschrift).
  options.payment.5.enabled = 1
  # cat=caddy - options - payment/enable/252; type=string; label= 5. Debit note - discount (%):Cash discount for the payment option debit note in per cent. Example: 3.00.
  options.payment.5.cashdiscount = 0.00
  # cat=caddy - options - payment/enable/253; type=string; label= 5. Debit note - costs:Extra costs for the payment option debit note. Example: 9.99.
  options.payment.5.costs = 0.00
  # cat=caddy - options - payment/enable/254; type=options[normal,reduced,without]; label= 5. Debit note - tax rate:Tax rate for extra costs for the payment option debit note.
  options.payment.5.taxrate = normal
  # cat=caddy - options - payment/enable/261; type=boolean; label= 6. Cash in advance by paypal - enabled:Disable it, if you don't want to offer the payment option cash in advance (de: Vorkasse).
  options.payment.6.enabled = 1
  # cat=caddy - options - payment/enable/262; type=string; label= 6. Cash in advance by paypal  - discount (%):Cash discount for the payment option cash in advance in per cent. Example: 3.00.
  options.payment.6.cashdiscount = 0.00
  # cat=caddy - options - payment/enable/263; type=string; label= 6. Cash in advance by paypal  - costs:Extra costs for the payment option cash in advance. Example: 9.99.
  options.payment.6.costs = 0.00
  # cat=caddy - options - payment/enable/264; type=string; label= 6. Cash in advance by paypal  - e-mail:E-mail of the paypal account.
  options.payment.6.email = paypal@my-name.com
  # cat=caddy - options - payment/enable/265; type=string; label= 6. Cash in advance by paypal  - URL:URL of paypal
  options.payment.6.url = https://www.paypal.com/
  # cat=caddy - options - payment/enable/265; type=options[normal,reduced,without]; label= 6. Cash in advance by paypal  - tax rate:Tax rate for extra costs for the payment option cash in advance.
  options.payment.6.taxrate = normal
 # cat=caddy - options - payment/others/999;    type=user[Netzmacher\Caddy\Lib\Userfunc\Userfunc->promptSponsors]; label=Subsidise the Caddy project!
  options.payment.sponsors = Click me!
 
}