plugin.tx_caddy_pi1 {
  api {
    options {
      payment {
          // empty statement for proper comments only
        options {
        }
          // 1: cash in advance (de: Vorkasse)
        options =
        options {
            // enabled, title, extra, tax
          1 = cash in advance (de: Vorkasse)
          1 {
            enabled = {$plugin.caddy.options.payment.1.enabled}
              // label, gross, cash discount
            title = COA
            title {
                // label, gross
              10 = COA
              10 {
                10 = TEXT
                10 {
                  data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi1/locallang.xlf:paymentoption_cashinadvance
                }
                  // amount
                20 = COA
                20 {
                  if {
                    value = 0
                    isGreaterThan = {$plugin.caddy.options.payment.1.costs}
                  }
                    // space
                  10 = TEXT
                  10 {
                    value =
                    noTrimWrap = | ||
                  }
                    // gross, currency symbol
                  20 = 
                  20 < plugin.tx_caddy.defaults.numberFormatCurrency
                  20 {
                    value = {$plugin.caddy.options.payment.1.costs}
                    stdWrap {
                      noTrimWrap = |(+| {$plugin.caddy.main.currencySymbol})|
                    }
                  }
                }
              }
                // cash discount
              20 = COA
              20 {
                if {
                  value = 0
                  isGreaterThan = {$plugin.caddy.options.payment.1.cashdiscount}
                }
                  // devider
                10 = TEXT
                10 {
                  data        = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi1/locallang.xlf:cashdiscount
                  noTrimWrap  = |, | |
                }
                  // Cash discount
                20 = 
                20 < plugin.tx_caddy.defaults.numberFormatCurrency
                20 {
                  value = {$plugin.caddy.options.payment.1.cashdiscount}
                  stdWrap {
                    noTrimWrap = |(+| {$plugin.caddy.main.currencySymbol})|
                  }
                }
              }
            }
              // on, percent
            cash-discount =
            cash-discount {
                // items, payment, service, shipping
              on =
              on {
                  // [Boolean] true (default): items get the cash discount. false: items don't get the cash discount.
                items     = 1
                  // [Boolean] false (default): payment costs don't get the cash discount. true: payment costs get the cash discount.
                payment   = 0
                  // [Boolean] false (default): shipping costs don't get the cash discount. true: shipping costs get the cash discount.
                shipping  = 0
                  // [Boolean] false (default): specials costs don't get the cash discount. true: specials costs get the cash discount.
                specials  = 0
              }
                // [Double]
              percent = {$plugin.caddy.options.payment.1.cashdiscount}
            }
              // extra cost (gross price) of payment method
            extra = {$plugin.caddy.options.payment.1.costs}
              // tax rate which will be applied (reduced or normal)
            tax = {$plugin.caddy.options.payment.1.taxrate}
          }
        }
      }
    }
  }
}