plugin.tx_caddy_pi1 {
  api {
      // empty statement for proper comments only
    options {
    }
      // shipping
    options =
    options {
        // preset, options
      shipping =
      shipping {
          // default method
        preset = {$plugin.caddy.options.shipping.default}
          // mail, mailexpress
        options =
        options {
            // mail: enabled, title, extra, tax
          1 =
          1 {
            enabled = {$plugin.caddy.options.shipping.1.enabled}
              // label, gross
            title = COA
            title {
              10 = TEXT
              10 {
                data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi1/locallang.xlf:shippingoption_maildefault
                noTrimWrap  = || |
              }
                // amount
              20 = 
              20 < plugin.tx_caddy.defaults.numberFormatCurrency
              20 {
                if {
                  value = 0
                  isGreaterThan = {$plugin.caddy.options.shipping.1.costs}
                }
                value = {$plugin.caddy.options.shipping.1.costs}
                stdWrap {
                  noTrimWrap = |(+| {$plugin.caddy.main.currencySymbol})|
                }
              }
            }
              // extra cost (gross price) of payment method
            extra = {$plugin.caddy.options.shipping.1.costs}
              // tax rate which will be applied (reduced or normal)
            tax = {$plugin.caddy.options.shipping.1.taxrate}
          }
            // mailexpress: enabled, title, extra, tax
          2 =
          2 {
            enabled = {$plugin.caddy.options.shipping.2.enabled}
              // label, gross
            title = COA
            title {
              10 = TEXT
              10 {
                data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi1/locallang.xlf:shippingoption_mailexpress
                noTrimWrap  = || |
              }
                // amount
              20 = 
              20 < plugin.tx_caddy.defaults.numberFormatCurrency
              20 {
                if {
                  value = 0
                  isGreaterThan = {$plugin.caddy.options.shipping.2.costs}
                }
                value = {$plugin.caddy.options.shipping.2.costs}
                stdWrap {
                  noTrimWrap = |(+| {$plugin.caddy.main.currencySymbol})|
                }
              }
            }
              // extra cost (gross price) of payment method
            extra = {$plugin.caddy.options.shipping.2.costs}
              // tax rate which will be applied (reduced or normal)
            tax = {$plugin.caddy.options.shipping.2.taxrate}
          }
            // pick up: enabled, title, extra, tax
          3 =
          3 {
            enabled = {$plugin.caddy.options.shipping.3.enabled}
              // label, gross
            title = COA
            title {
              10 = TEXT
              10 {
                data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi1/locallang.xlf:shippingoption_pickup
                noTrimWrap  = || |
              }
                // amount
              20 = 
              20 < plugin.tx_caddy.defaults.numberFormatCurrency
              20 {
                if {
                  value = 0
                  isGreaterThan = {$plugin.caddy.options.shipping.3.costs}
                }
                value = {$plugin.caddy.options.shipping.3.costs}
                stdWrap {
                  noTrimWrap = |(+| {$plugin.caddy.main.currencySymbol})|
                }
              }
            }
              // extra cost (gross price) of payment method
            extra = {$plugin.caddy.options.shipping.3.costs}
              // tax rate which will be applied (reduced or normal)
            tax = {$plugin.caddy.options.shipping.3.taxrate}
          }
        }
      }
    }
  }
}