plugin.tx_caddy_pi3 {
    // item, marker
  content =
  content {
      // quantity, label, gross
    item = COA
    item {
        // quantity
      10 = TEXT
      10 {
        field = quantity
        wrap = <div class="quantity itemquantity">|</div>
      }
        // label
      20 = TEXT
      20 {
        field = label
        wrap  = <div class="label itemlabel">|</div>
      }
        // gross
      30 = 
      30 < plugin.tx_caddy.defaults.numberFormatCurrency
      30 {
        field = gross
        value >
        wrap = <div class="gross itemgross">|</div>
      }
      wrap = <div class="item minicaddyitem">|</div><div class="caddy_cleaner"></div>
    }
      // quantity, label, gross
    sum = COA
    sum {
        // quantity
      10 = TEXT
      10 {
        field = quantity
        wrap = <div class="quantity sumquantity">|</div>
      }
        // label
      20 = COA
      20 {
          // in case of one item
        10 = TEXT
        10 {
          if {
            value = 2
            isLessThan {
              field = quantity
            }
          }
          data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi3/locallang.xlf:item
        }
          // in case of more than one item
        20 = TEXT
        20 {
          if {
            value = 2
            isLessThan {
              field = quantity
            }
            negate  = 1
          }
          data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi3/locallang.xlf:items
        }
        wrap = <div class="label sumlabel">|</div>
      }
        // gross
      30 = 
      30 < plugin.tx_caddy.defaults.numberFormatCurrency
      30 {
        field = gross
        value >
        wrap = <div class="gross sumgross">|</div><div class="caddy_cleaner"></div>
      }
      wrap = <div class="sum minicaddysum">|</div>
    }
  }
    // page id of the caddy
  pid = {$plugin.caddy.pages.caddy}

    // e-mail, html, pdf
  templates =
  templates < plugin.tx_caddy_pi1.templates

    // linktocaddy, linktoshop
  _HTMLMARKER =
  _HTMLMARKER {
    caddyminifull = TEXT
    caddyminifull {
			data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi3/locallang.xlf:caddyminifull
    }
    mycaddy = TEXT
    mycaddy {
			data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi3/locallang.xlf:mycaddy
    }
      // label, icon. Replaces _HTMLMARKER_LINTOCADDY
    linktocaddy = COA
    linktocaddy {
        // Label
      10 = TEXT
      10 {
        data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi3/locallang.xlf:linktocaddy
        typolink {
          parameter = {$plugin.caddy.pages.caddy}
          title {
            data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi3/locallang.xlf:linktocaddy
          }
        }
        noTrimWrap  = || |
      }
        // Icon
      20 = IMAGE
      20 {
        file = {$plugin.caddy.html.color.icon.caddy}
        altText {
          data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi3/locallang.xlf:caddy
        }
        titleText {
          data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi3/locallang.xlf:caddy
        }
        params = class="linktocaddy"
        imageLinkWrap = 1
        imageLinkWrap {
          enable = 1
          typolink {
            parameter = {$plugin.caddy.pages.caddy}
          }
        }
      }
      wrap = <div class="linktocaddy minicaddylinktocaddy">|</div>
    }
    linktocaddyiconclass = TEXT
    linktocaddyiconclass {
			value = {$plugin.caddy.html.intothecaddy.icon.class}
    }
      // label, icon. Replaces _HTMLMARKER_LINTOSHOP
    linktoshop = COA
    linktoshop {
        // Label
      10 = TEXT
      10 {
        data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi3/locallang.xlf:linktoshop
        typolink {
          parameter = {$plugin.caddy.pages.shop}
          title {
            data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi3/locallang.xlf:linktoshop
          }
        }
        noTrimWrap  = || |
      }
        // Icon
      20 = IMAGE
      20 {
        file = {$plugin.caddy.html.color.icon.shop}
        altText {
          data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi3/locallang.xlf:shop
        }
        titleText {
          data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi3/locallang.xlf:shop
        }
        params = class="linktoshop"
        imageLinkWrap = 1
        imageLinkWrap {
          enable = 1
          typolink {
            parameter = {$plugin.caddy.pages.shop}
          }
        }
      }
      wrap = <div class="linktoshop minicaddylinktoshop">|</div>
    }
  }
}
  // plugin.tx_caddy_pi3
