plugin.tx_caddy_pi1 {
    // empty statement for proper comments only
  powermail {
  }
    // buttons, caddy, caddydeliveryordernumber, caddyinvoicenumber, caddyordernumber, clearcaddysession, debitfields
  powermail =
  powermail {
      // backandforward
    buttons =
    buttons {
        // onPage01, onPage02, onPage03, onPage04
      backandforward = 
      backandforward {
        onPage01 = COA
        onPage01 {
          20 = TEXT
          20 {
            data = LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:button.next
            wrap  = <a class="button expand toPage02">|</a>
          }
        }
        onPage02 = COA
        onPage02 {
          20 = TEXT
          20 {
            data = LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:button.next
            wrap  = <a class="button expand toPage03">|</a>
          }
          30 = TEXT
          30 {
            data = LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:button.previous
            wrap  = <a class="button expand secondary toPage01">|</a>
          }
          wrap = <div class="parentdisplay">|</div>
        }
        onPage03 = COA
        onPage03 {
          20 = TEXT
          20 {
            data = LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:button.next
            wrap  = <a class="button expand toPage04">|</a>
          }
          30 = TEXT
          30 {
            data = LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:button.previous
            wrap  = <a class="button expand secondary toPage02">|</a>
          }
        }
        onPage04 = COA
        onPage04 {
          20 = TEXT
          20 {
            data = LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:button.previous
            wrap  = <a class="button expand secondary toPage03">|</a>
          }
        }
      }
    }
      // Returns a caddy rendered for an e-mail
    caddy = USER
    caddy {
      userFunc = Netzmacher\Caddy\Lib\Powermail\Powermail->caddyEmail
      userFunc {
        drs       = {$plugin.caddy.debug.userfunc}
        caddyPid  = {$plugin.caddy.pages.caddy}
      }
    }
      // Delivery order number
    caddydeliveryordernumber = COA
    caddydeliveryordernumber {
				// Prefix (here: {$plugin.caddy.pdf.deliveryorder.number.prefix})
			10 = TEXT
			10 {
				value = {$plugin.caddy.pdf.deliveryorder.number.prefix}
			}
			20 = USER
			20 {
				userFunc = Netzmacher\Caddy\Lib\Session->getNumberDeliveryorder
				userFunc {
					drs       = {$plugin.caddy.debug.userfunc}
					caddyPid  = {$plugin.caddy.pages.caddy}
				}
			}
    }
      // Invoice number
    caddyinvoicenumber = COA
    caddyinvoicenumber {
				// Prefix (here: {$plugin.caddy.pdf.invoice.number.prefix})
			10 = TEXT
			10 {
				value = {$plugin.caddy.pdf.invoice.number.prefix}
			}
			20 = USER
			20 {
				userFunc = Netzmacher\Caddy\Lib\Session->getNumberInvoice
				userFunc {
					drs       = {$plugin.caddy.debug.userfunc}
					caddyPid  = {$plugin.caddy.pages.caddy}
				}
			}
    }
      // Order number
    caddyordernumber = COA
    caddyordernumber {
				// Prefix (here: {$plugin.caddy.pdf.order.number.prefix})
			10 = TEXT
			10 {
				value = {$plugin.caddy.pdf.order.number.prefix}
			}
			20 = USER
			20 {
				userFunc = Netzmacher\Caddy\Lib\Session->getNumberOrder
				userFunc {
					drs       = {$plugin.caddy.debug.userfunc}
					caddyPid  = {$plugin.caddy.pages.caddy}
				}
			}
		}
      // Clear the caddy session
    clearcaddysession = USER
    clearcaddysession {
      userFunc = Netzmacher\Caddy\Lib\Session->sessionDelete
      userFunc {
        drs       = {$plugin.caddy.debug.userfunc}
        caddyPid  = {$plugin.caddy.pages.caddy}
      }
    }
      // display
    debitfields =
    debitfields {
        // LOAD_REGISTER, TEXT
      display = COA
      display {
          // paymentId
        10 = LOAD_REGISTER
        10 {
          paymentId.cObject = COA
          paymentId.cObject {
            10 = USER
            10 {
              userFunc = Netzmacher\Caddy\Lib\Session->getPaymentId
              userFunc {
                drs = {$plugin.caddy.debug.userfunc}
              }
            }
          }
        }
          // For development only
        DEV.20 = COA
        DEV.20 {
            // paymentId
          10 = TEXT
          10 {
            data = register:paymentId
            wrap = <h1>|</h1>
          }
            // GP:tx_powermail_pi1|field|{$plugin.caddy.options.paymentdebit.iban}
          20 = TEXT
          20 {
            data = GP:tx_powermail_pi1|field|{$plugin.caddy.options.paymentdebit.iban}
            wrap = <h1>|</h1>
          }
        }
          // 1, if.value.data = register:paymentId equals {$plugin.caddy.options.paymentdebit.id}
        30 = TEXT
        30 {
            // if.value.data = register:paymentId equals {$plugin.caddy.options.paymentdebit.id}
          if = 
          if {
              // data = register:paymentId
            value =
            value {
              data = register:paymentId
            }
              // {$plugin.caddy.options.paymentdebit.id}: Id of payment method debit
            equals = {$plugin.caddy.options.paymentdebit.id}
          }
					value = 1
				}
			}
		}
  }
}